<div class="row">
    <div class="dropzone" appDnd [files]="fileList" [(counter)]="counter">
        <div class="files" *ngIf="fileList.length > 0">
        <md-list>
          <h3 md-subheader>Files</h3>
            <span *ngFor="let file of fileList; let i = index" [attr.data-index]="i" >
          <md-list-item *ngIf="file" >
              <md-icon md-list-icon><i class="fa fa-file-o  text-danger " aria-hidden="true"></i></md-icon>
            <h4 md-line>{{file.name}}</h4>
            <p md-line> {{file.type }} </p>
            <span class="pull-right" (click)="remove(i)"><i class="fa fa-times  text-danger " aria-hidden="true"></i></span>

          </md-list-item>
                </span>
        </md-list>


    </div>
        <div class="text-wrapper">
            <div class="centered">Drop your <span class="label label-warning">.csv</span> file here!</div>
        </div>
    </div>
    <br>
</div>

